Bug 133 - finding next available NUA RID failed
finding next available NUA RID failed
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
Other other
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 10:07 UTC by Gerald (Jerry) Carter
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald (Jerry) Carter 2003-05-27 10:07:12 UTC
[note that the first bug has been filed and fixed as #118]

Date: Fri, 23 May 2003 15:37:10 -0400
From: Donny Davies <djdavies@rogers.com>
To: samba-technical@lists.samba.org
Subject: BUGS: at least two in pdb_ldap.c

  Lines 1705 and 1714 are obviously incorrect.

  I tried patching locally here by replacing "nextUserRid" with
get_attr_key2string(dominfo_attr_list, LDAP_ATTR_NEXT_USERRID)
and similarly replacing "nextGroupRid" with
get_attr_key2string(dominfo_attr_list, LDAP_ATTR_NEXT_GROUPRID)
which lets me get further with `smbpasswd -a -m foo' than i did
before, but it still doesnt work and I end up triggering:

DEBUG(0, ("NO user RID specified on account %s, and "
"finding next available NUA RID failed, "
"cannot store!\n", pdb_get_username(sampass)));

  I'm afraid I don't know how to fix this.  Please take a look.
Comment 1 Andrew Bartlett 2003-07-04 07:08:02 UTC
Do you have a valid idmap uid/gid range in your smb.conf?

Comment 2 Gerald (Jerry) Carter 2003-07-11 08:03:54 UTC
This should be fixed now in the current SAMBA_3_0 CVS
Comment 3 Gerald (Jerry) Carter 2005-02-07 07:57:00 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:04 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.